// -*- coding: utf-8 -*-
// Title: Cube.sc
// Author: JackDole 
// Date: 2016.02.26 19:44:00

//------------------------------------------------------------------------------
DwarfPlanet "Cube III" 
{ 
    ParentBody     "The Sun" 
    Class          "Asteroid" 
    Radius         1000.0
    Mass            0.000001
    
    RotationPeriod  1e12
    RotationOffset  0.0
    Obliquity       0.0
    EqAscNode       0.0
    Precession      1e12
    
    Surface
    {
        DiffMapAlpha    "Transp"
        DiffMap         "Cube/CubeBL.*"
        
        BumpMap         "Cube/CubeBlBump.*"
        BumpHeight      1.0
        BumpOffset      0.5
        
        GlowMap         "Cube/CubeBL.*" 
        GlowMode       "Night"
        GlowColor      (1.00 0.90 0.66)
        GlowBright      0.25
    }
    
    Clouds
    {
        DiffMapAlpha    "Transp"
        DiffMap         "Cube/CubeBL.*"
        
        BumpMap         "Cube/CubeBlBump.*"
        BumpHeight      1.0
        BumpOffset      0.5
        
        GlowMap         "Cube/CubeBL.*" 
        GlowMode       "Night"
        GlowColor      (1.00 0.90 0.66)
        GlowBright      0.25
        
        Height          -5.0
        Velocity        0.0
    }
    
    Orbit 
    { 
        RefPlane        "Ecliptic"
        SemiMajorAxis   0.149
        Period          1.0
        Eccentricity    0.0
        Inclination     0.0
        AscendingNode   348.739
        LongOfPericen   102.93734808
        MeanLongitude   280.46645683
    } 
} 

Star "Gate III.1"
{
    ParentBody     "Cube III"
    ConnectTo      "Neverland"
    Class          "Wormhole"

    Radius          1.0
    Length          1.0
    WarpWidth       0.05

    TidalLocked     true
    
    NoLighting      true
    
    FixedPosPolar   (0.000000 90.000000 1000.000000)
}

Star "Gate III.2"
{
    ParentBody     "Cube III"
    ConnectTo      "Neverland"
    Class          "Wormhole"

    Radius          1.0
    Length          1.0
    WarpWidth       0.05

    TidalLocked     true
    
    NoLighting      true
    
    FixedPosPolar   (0.000000 -90.000000 1000.000000)
}

Star "Gate III.3"
{
    ParentBody     "Cube III"
    ConnectTo      "Neverland"
    Class          "Wormhole"

    Radius          1.0
    Length          1.0
    WarpWidth       0.05

    TidalLocked     true

    NoLighting      true
    
    FixedPosPolar  (45.000000 0.000000 1000.000000)
}

Star "Gate III.4"
{
    ParentBody     "Cube III"
    ConnectTo      "Neverland"
    Class          "Wormhole"

    Radius          1.0
    Length          1.0
    WarpWidth       0.05

    TidalLocked     true

    TidalLocked     true
    NoLighting      true
    
    FixedPosPolar  (135.000000 0.000000 1000.000000)
}

Star "Gate III.5"
{
    ParentBody     "Cube III"
    ConnectTo      "Neverland"
    Class          "Wormhole"

    Radius          1.0
    Length          1.0
    WarpWidth       0.05
    
    TidalLocked     true

    NoLighting      true
    
    FixedPosPolar  (225.000000 0.000000 1000.000000)
}

Star "Gate III.6"
{
    ParentBody     "Cube III"
    ConnectTo      "Neverland"
    Class          "Wormhole"

    Radius          1.0
    Length          1.0
    WarpWidth       0.05

    TidalLocked     true

    NoLighting      true
    
    FixedPosPolar   (315.000000 0.000000 1000.000000)
}

//------------------------------------------------------------------------------
